This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 65825 - Improper sort behaviour in threaded view
Improper sort behaviour in threaded view
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: evolution (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-01 09:55 EDT by Rob Hughes
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-01 09:55:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rob Hughes 2002-06-01 09:55:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
When viewing messages using a threaded view, threads with new messages are not
moved to the top (or bottom, depending on sort). Instead, sort only uses the
date of the original message in the thread. This makes it very difficult to
actually follow a threaded conversation with new messages on high-traffic lists.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Set a threaded view on a folder
2.Wait for some email
3.Scroll up and down trying to spot the new messages 
	

Actual Results:  Threads are not sorted based on newest message in thread

Expected Results:  Threads would be sorted based on the most recent message in
the thread

Additional info:

This is more a feature enhancement or usuability enhancement than a but, as
evolution seems to have been designed this way. But I'm on several very high
traffic lists, and it's very difficult to  use the threaded view, but it's
nearly impossible to follow a thread in a non-threaded view.
Comment 1 Jeremy Katz 2002-06-03 20:01:34 EDT
This is the expected behavior.  Instead of scrolling up and down, you might want
to use 'n' to go to next unread message.
Comment 2 Rob Hughes 2002-06-03 23:40:15 EDT
You do not understand the issue. Using "n" is not acceptable when the thread is
half way up the screen, neccesetating a search just to find it.
Comment 3 Jeremy Katz 2002-06-04 00:21:36 EDT
I understand what you're saying, but it's a conscious design decision made by
the upstream maintainers of the program.  If you don't like it, feel free to
file a bug with them or mail the evolution list and try to rally people to your
cause.  This just isn't the way that threads work in any mail program I've ever
used/seen, so I just don't see it as a bug which greatly needs fixing.
Comment 4 Rob Hughes 2002-06-04 00:28:51 EDT
Ahh.... I came from a windows background, and that is the default behavior in
Outlook. Threads are sorted by the most recent message they contain, not by the
date of the first message. I'll try filing an enhancement req with the ximian
guys and see what they say, as I do see it as bad design (colored by what I
expect an email client to do).

Note You need to log in before you can comment on or make changes to this bug.